routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use App\Http\Controllers\Cabinet\CabinetController;
use App\Http\Controllers\Cabinet\DepositController;
use App\Http\Controllers\Cabinet\OperationController;
use App\Http\Controllers\Cabinet\SecurityController;
use App\Http\Controllers\Cabinet\TicketController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\NewsController;

app('zengine')->webRoutes();
if (setting('general.ssl_enabled')) {
    URL::forceScheme('https');
}

Route::get('/', [HomeController::class, 'index'])->name('home');
Route::get('faq', [HomeController::class, 'faq'])->name('faq');

Route::group(['prefix' => 'news', 'as' => 'news'], static function () {
    Route::get('/', [NewsController::class, 'index']);
    Route::get('{post}', [NewsController::class, 'show'])->name('.show');
    Route::get('{post}/watched', [NewsController::class, 'watched'])->name('.watched');
});

Route::group([
    'prefix'        => 'cabinet',
    'as'            => 'cabinet.',
    'middleware'    => 'auth'
], function () {
    Route::get('/', [CabinetController::class, 'index'])->name('index');
    Route::get('/referrals', [CabinetController::class, 'referrals'])->name('referrals');
    Route::get('/profile', [CabinetController::class, 'profile'])->name('profile');
    Route::post('/profile', [CabinetController::class, 'storeProfile'])->name('profile.store');
    Route::post('/wallets', [CabinetController::class, 'storeWallets'])->name('wallets.store');

    Route::get('/security', [SecurityController::class, 'index'])->name('security');
    Route::post('/security/password', [SecurityController::class, 'changePassword'])->name('security.password');
    Route::post('/security/2fa/enable', [SecurityController::class, 'enable2fa'])->name('security.2fa.enable');
    Route::post('/security/2fa/disable', [SecurityController::class, 'disable2fa'])->name('security.2fa.disable');
    Route::post('/security/pin/enable', [SecurityController::class, 'enablePin'])->name('security.pin.enable');
    Route::post('/security/pin/disable', [SecurityController::class, 'disablePin'])->name('security.pin.disable');
    Route::post('/security/pin/unlock', [SecurityController::class, 'unlock'])->name('security.pin.unlock');
    Route::get('/security/pin/lock', [SecurityController::class, 'lock'])->name('security.pin.lock');

    Route::get('/deposits', [DepositController::class, 'index'])->name('deposits');
    Route::get('/invest', [DepositController::class, 'create'])->name('deposits.create');
    Route::post('/invest', [DepositController::class, 'store'])->name('deposits.store');
    Route::get('/deposits/{deposit}/close', [DepositController::class, 'close'])->name('deposits.close');

    Route::get('/operations', [OperationController::class, 'index'])->name('operations');
    Route::post('/operations/{operation}/cancel', [OperationController::class, 'cancel'])->name('operations.cancel');

    Route::get('/refill/{status?}', [OperationController::class, 'refill'])->name('refill');
    Route::post('/refill', [OperationController::class, 'storeRefill'])->name('refill.store');

    Route::get('/withdraw/{status?}', [OperationController::class, 'withdraw'])->name('withdraw');
    Route::post('/withdraw', [OperationController::class, 'storeWithdraw'])->name('withdraw.store');

    Route::get('/transfer', [OperationController::class, 'transfer'])->name('transfer');
    Route::post('/transfer', [OperationController::class, 'storeTransfer'])->name('transfer.store');

    Route::resource('tickets', TicketController::class);
    Route::post('tickets/{ticket}/message', [TicketController::class, 'message'])->name('tickets.message');
    Route::post('tickets/{ticket}/status', [TicketController::class, 'status'])->name('tickets.status');
    Route::get('tickets/{ticket}/read', [TicketController::class, 'read'])->name('tickets.read');
});

app/Http/Controllers/Cabinet/CabinetController.php
<?php

namespace App\Http\Controllers\Cabinet;

use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Modules\Core\Models\Deposit;
use Modules\Core\Models\Operation;
use Modules\Core\Models\User;

class CabinetController extends Controller
{
    /**
     * Display a listing of the resource.
     * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function index()
    {
        /** @var User $user */
        $user = \Auth::user();
        $user->load('wallets.payment_system.currency');
        return view('cabinet.index', [
            'user'  => $user,
            'stats' => $this->getStats()
        ]);
    }

    protected function getStats() : array
    {
        $currencyService = app('currencies');
        /** @var \Modules\Core\Models\User $user */
        $user = \Auth::user();
        $stats = [];
        $stats['total_refills'] = $user->operations()->with('currency')->type(app('zengine')->modelClass('Operation')::TYPE_USER_REFILL)->status(app('zengine')->modelClass('Operation')::STATUS_SUCCESS)->get()
            ->reduce(static function ($total, Operation $operation) use ($currencyService) {
                return $total + $currencyService->convertToDefault($operation->amount, $operation->currency);
            }, 0);
        $stats['total_withdraws'] = $user->operations()->with('currency')->type(app('zengine')->modelClass('Operation')::TYPE_USER_WITHDRAW)->status(app('zengine')->modelClass('Operation')::STATUS_SUCCESS)->get()
            ->reduce(static function ($total, Operation $operation) use ($currencyService) {
                return $total + $currencyService->convertToDefault($operation->amount, $operation->currency);
            }, 0);
        $stats['deposits_opened_count'] = $user->deposits()->where('status', app('zengine')->modelClass('Deposit')::STATUS_OPEN)->count();
        $stats['deposits_closed_count'] = $user->deposits()->where('status', app('zengine')->modelClass('Deposit')::STATUS_CLOSED)->count();
        $stats['deposits_opened_sum'] = $user->deposits()->with('currency')->where('status', app('zengine')->modelClass('Deposit')::STATUS_OPEN)->get()
            ->reduce(static function ($total, Deposit $deposit) use ($currencyService) {
                return $total + $currencyService->convertToDefault($deposit->amount, $deposit->currency);
            }, 0);
        $stats['referrals_earned'] = $currencyService->convertToDefault($user->referrals_earned, $user->currency);
        $stats['referrals_count'] = $user->referrals_count;
        $stats['accruals_tomorrow'] = $this->accruals_tomorrow($user);
        return $stats;
    }

    protected function accruals_tomorrow(User $user)
    {
        $currencies = app('currencies');
        $deposits = $user->deposits()->with('plan')->where('left_accruals', '>', 0)->get();
        $diff_days = now()->diffInDays(now()->addDay(), 1);
        $diff_hours = now()->diffInHours(now()->addDay(), 1);
        $estimated = 0;
        foreach ($deposits as $deposit) {
            /** @var Deposit $deposit */
            if ($deposit->plan->type === app('zengine')->modelClass('Plan')::TYPE_DAILY) {
                $accrual = ($deposit->amount / 100) * $deposit->plan->percent;
                $estimated += $currencies->convertToDefault($accrual * min($deposit->left_accruals, $diff_days), $deposit->currency);
            } elseif ($deposit->plan->type === app('zengine')->modelClass('Plan')::TYPE_HOURLY) {
                $accrual = ($deposit->amount / 100) * $deposit->plan->percent;
                $estimated += $currencies->convertToDefault($accrual * min($deposit->left_accruals, $diff_hours), $deposit->currency);
            }
        }
        return $estimated;
    }

    public function referrals(Request $request)
    {
        $user = \Auth::user();
        $user->loadMissing(['inviter', 'referrals']);
        return view('cabinet.referrals', [
            'user'    => $user,
            'service' => app('users')
        ]);
    }

    public function profile(Request $request)
    {
        /** @var User $user */
        $user = \Auth::user();
        $user->loadMissing(['inviter', 'referrals']);
        $payment_systems = app('zengine')->model('PaymentSystem')->with([
            'wallets' => static function ($query) use ($user) {
                return $query->where('user_id', $user->id);
            }
        ])->enabled()->where('need_wallet', 1)->get();
        return view('cabinet.profile', [
            'user'              => $user,
            'payment_systems'   => $payment_systems,
            'service'           => app('users')
        ]);
    }

    /**
     * @param  Request  $request
     * @return \Illuminate\Http\RedirectResponse|\Illuminate\Routing\Redirector
     */
    public function storeProfile(Request $request)
    {
        $user = \Auth::user();
        $user->fill($request->only(['currency_id', 'name']));
        if ($user->isDirty('currency_id', 'name')) {
            $user->save();
            \Flash::success('Профиль обновлен');
        }
        return redirect(route('cabinet.profile'));
    }

    /**
     * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function wallets()
    {
        $payment_systems = app('zengine')->model('PaymentSystem')->with([
            'wallets' => function ($query) {
                return $query->where('user_id', \Auth::id());
            }
        ])->enabled()->where('need_wallet', 1)->get();
        return view('cabinet.wallets', [
            'user'              => \Auth::user(),
            'payment_systems'   => $payment_systems,
        ]);
    }

    /**
     * @param  Request  $request
     * @return \Illuminate\Http\RedirectResponse
     */
    public function storeWallets(Request $request)
    {
        $user = \Auth::user();
        $wallets = $user->wallets()->pluck('wallet', 'payment_system_id');
        $data = $request->all();
        foreach ($data as $key => $value) {
            if (strpos($key, 'wallet_') !== 0 || !$value) {
                continue;
            }
            $payment_system = app('zengine')->model('PaymentSystem')->findOrFail((int) substr($key, 7));
            if (isset($wallets[$payment_system->id]) && $wallets[$payment_system->id] === $value) {
                continue;
            }
            $user->wallets()->updateOrCreate([
                'payment_system_id' => $payment_system->id
            ], [
                'wallet' => $value
            ]);
            \Flash::success("{$payment_system->name} saved");
        }
        return redirect()->back();
    }
}

app/Http/Controllers/Cabinet/DepositController.php
<?php

namespace App\Http\Controllers\Cabinet;

use App\Http\Requests\Cabinet\StoreDepositRequest;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Routing\Controller;
use Modules\Core\Models\Deposit;
use Modules\Core\Services\DepositService;

class DepositController extends Controller
{
    use AuthorizesRequests;

    /**
     * @var DepositService
     */
    private $depositService;

    public function __construct(DepositService $depositService)
    {
        $this->depositService = $depositService;
    }

    /**
     * Display a listing of the resource.
     * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function index()
    {
        $deposits = app('zengine')->model('Deposit')->with(['plan', 'currency', 'wallet.payment_system'])->where('user_id', \Auth::id())
            ->latest()->paginate();
        return view('cabinet.deposits.index', compact('deposits'));
    }

    /**
     * Show the form for creating a new resource.
     * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function create()
    {
        $plans = app('zengine')->model('Plan')->with('currency')->visible()->get();
        $currencies = app('zengine')->model('Currency')->all();
        $wallets = optional(\Auth::user())->wallets()->with('payment_system')->get();
        return view('cabinet.deposits.create', compact('plans', 'currencies', 'wallets'));
    }

    /**
     * Store a newly created resource in storage.
     * @param  StoreDepositRequest  $request
     * @return string[]
     * @throws \Exception
     */
    public function store(StoreDepositRequest $request)
    {
        \DB::beginTransaction();
        \Debugbar::info($request->all());
        try {
            $deposit = app('zengine')->model('Deposit')->create([
                'user_id'       => \Auth::id(),
                'plan_id'       => $request->get('plan_id'),
                'currency_id'   => $request->get('currency_id'),
                'wallet_id'     => $request->get('wallet_id'),
                'amount'        => $request->get('amount')
            ]);
            $this->depositService->create($deposit);
            \DB::commit();
            return [
                'status' => 'success'
            ];
        } catch (\Exception $exception) {
            \DB::rollBack();
            return [
                'status'  => 'error',
                'message' => $exception->getMessage(),
            ];
        }
    }

    /**
     * @param  Deposit  $deposit
     * @return \Illuminate\Http\RedirectResponse
     * @throws \Illuminate\Auth\Access\AuthorizationException
     */
    public function close(Deposit $deposit)
    {
        $this->authorize('close', $deposit);
        $this->depositService->close($deposit);
        return redirect()->back();
    }

    /**
     * Show the specified resource.
     * @param int $id
     * @return Response
     */
    public function show($id)
    {
        return view('cabinet.show');
    }

    /**
     * Show the form for editing the specified resource.
     * @param int $id
     * @return Response
     */
    public function edit($id)
    {
        return view('cabinet.edit');
    }

    /**
     * Update the specified resource in storage.
     * @param Request $request
     * @param int $id
     * @return Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     * @param int $id
     * @return Response
     */
    public function destroy($id)
    {
        //
    }
}

app/Http/Controllers/Cabinet/TicketController.php
<?php

namespace App\Http\Controllers\Cabinet;

use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Routing\Controller;
use Modules\Core\Models\Ticket;

class TicketController extends Controller
{
    /**
     * Display a listing of the resource.
     * @return Response
     */
    public function index()
    {
        return view('cabinet.tickets.index', [
            'tickets' => \Auth::user()->tickets()->latest()->paginate()
        ]);
    }

    /**
     * Show the form for creating a new resource.
     * @return Response
     */
    public function create()
    {
        return view('cabinet.tickets.create');
    }

    /**
     * Store a newly created resource in storage.
     * @param Request $request
     * @return Response
     */
    public function store(Request $request)
    {
        $ticket = \Auth::user()->tickets()->create([
            'subject' => $request->get('subject')
        ]);
        /** @var $ticket Ticket */
        $ticket->messages()->create([
            'user_id' => \Auth::id(),
            'message' => $request->get('message')
        ]);
        \Flash::success('Тикет отправлен');
        return redirect(route('cabinet.tickets.index'));
    }

    /**
     * Show the specified resource.
     * @param  Ticket  $ticket
     * @return Response
     */
    public function show(Ticket $ticket)
    {
        return view('cabinet.tickets.show', [
            'ticket' => $ticket
        ]);
    }

    /**
     * @param  Ticket  $ticket
     * @param  Request  $request
     * @return \Illuminate\Http\RedirectResponse|\Illuminate\Routing\Redirector
     */
    public function message(Ticket $ticket, Request $request)
    {
        $ticket->messages()->create([
            'user_id' => \Auth::id(),
            'message' => $request->get('message')
        ]);

        \Flash::success('Сообщение отправлено');
        return redirect(route('cabinet.tickets.show', $ticket));
    }

    /**
     * @param  Ticket  $ticket
     * @param  Request  $request
     * @return \Illuminate\Http\RedirectResponse|\Illuminate\Routing\Redirector
     */
    public function status(Ticket $ticket, Request $request)
    {
        $ticket->status = $request->get('status');
        $ticket->save();

        if ($request->get('status') === app('zengine')->modelClass('Ticket')::STATUS_OPEN) {
            \Flash::success('Тикет открыт');
        } elseif ($request->get('status') === app('zengine')->modelClass('Ticket')::STATUS_CLOSE) {
            \Flash::success('Тикет закрыт');
        }

        return redirect()->back();
    }

    /**
     * @param  Ticket  $ticket
     * @return array
     */
    public function read(Ticket $ticket)
    {
        $updated = $ticket->messages()->where('user_id', '!=', $ticket->user_id)->update([
            'read' => 1
        ]);
        return [
            'status' => $updated ? 'success' : 'not updated'
        ];
    }
}

resources/views/cabinet/operations/index.blade.php
@extends('layouts.cabinet')
@section('body')
    @php /** @var $operation \Modules\Core\Models\Operation */ @endphp
    @include('flash::message')
    <h1>@lang('cabinet/operations.title')</h1>
    <form type="GET" class="row">
        <div class="form-group col-sm-6 col-md-3">
            {!! Form::label('type', trans('cabinet/operations.type')) !!}
            {!! Form::select('type', [null => ''] + trans('operations.types'), request('type'), ['class' => 'form-control']) !!}
        </div>
        <div class="form-group col-sm-6 col-md-3">
            {!! Form::label('status', trans('cabinet/operations.status')) !!}
            {!! Form::select('status', [null => ''] + trans('operations.statuses'), request('status'), ['class' => 'form-control']) !!}
        </div>
        <div class="form-group col-sm-6 col-md-3">
            {!! Form::label('currency_id', trans('cabinet/operations.currency')) !!}
            {!! Form::select('currency_id', [null => ''] + app('zengine')->model('Currency')->pluck('code_iso', 'id')->toArray(), request('currency_id'), ['class' => 'form-control']) !!}
        </div>
        @if(setting('balances_type') === 'divided')
            <div class="form-group col-sm-6 col-md-3">
                {!! Form::label('wallet_id', trans('cabinet/operations.wallet')) !!}
                {!! Form::select('wallet_id', [null => ''] + $wallets->pluck('payment_system.name', 'id')->toArray(), request('wallet_id'), ['class' => 'form-control']) !!}
            </div>
        @elseif(setting('balances_type') === 'shared')
            <div class="form-group col-sm-6 col-md-3">
                {!! Form::label('payment_system_id', trans('cabinet/operations.payment_system')) !!}
                {!! Form::select('payment_system_id', [null => ''] + app('zengine')->model('PaymentSystem')->pluck('name', 'id')->toArray(), request('payment_system_id'), ['class' => 'form-control']) !!}
            </div>
        @endif
        <div class="col-sm-6" style="margin-bottom: 1rem">
            <button type="submit" class="btn btn-primary">@lang('cabinet/ui.search')</button>
            <br>
        </div>
    </form>
    <table class="table">
        <thead>
        <tr>
            <th scope="col">#</th>
            <th scope="col">@lang('cabinet/operations.type')</th>
            <th scope="col">@lang('cabinet/operations.status')</th>
            <th scope="col">@lang('cabinet/operations.amount')</th>
            @if(setting('balances_type') === 'divided')
                <th scope="col">@lang('cabinet/operations.wallet')</th>
            @elseif(setting('balances_type') === 'shared')
                <th scope="col">@lang('cabinet/operations.payment_system')</th>
            @endif
            <th scope="col">@lang('cabinet/operations.deposit')</th>
            <th scope="col">@lang('cabinet/operations.created')</th>
            <th scope="col">@lang('cabinet/operations.actions')</th>
        </tr>
        </thead>
        <tbody>
        @php
            $currencyService = app('currencies');
            $defaultCurrency = $currencyService->getDefaultCurrency(); //TODO: Use User Currency
        @endphp
        @php /* @var $serivce \Modules\Core\Services\OperationService */ @endphp
        @foreach($operations as $operation)
            @php /* @var $operation \Modules\Core\Models\Operation */ @endphp
            <tr>
                <th scope="row">{{ $operation->id }}</th>
                <td>{{ trans('operations.types.'.$operation->type) }}</td>
                <td>
                    @if(in_array($operation->status, [app('zengine')->modelClass('Operation')::STATUS_CREATED, app('zengine')->modelClass('Operation')::STATUS_SUCCESS, app('zengine')->modelClass('Operation')::STATUS_IN_PROGRESS], true))
                    <span class="text-success">
                        {{ trans('operations.statuses.'.$operation->status) }}
                    </span>
                    @else
                    <span class="text-danger">
                        {{ trans('operations.statuses.'.$operation->status) }}
                    </span>
                    @endif
                </td>
                <td>
                    {{ $operation->amount }} {{ $operation->currency->symbol }}
                    @if($operation->currency_id !== $defaultCurrency->id) ( {{ $operation->getAmountInCurrency($defaultCurrency) }} {{ $defaultCurrency->symbol }} ) @endif
                </td>
                @if(setting('balances_type') === 'divided')
                    <td>{{ $operation->wallet->payment_system->name }}</td>
                @elseif(setting('balances_type') === 'shared')
                    <td>{{ optional($operation->payment_system)->name }}</td>
                @endif
                <td>
                    @if(strpos($operation->type, 'deposit_') === 0)
                        <a href="{{ route('cabinet.deposits') }}">{{ $operation->target_id }}</a>
                    @endif
                </td>
                <td>{{ optional($operation->created_at)->toDateTimeString() }}</td>
                <td>
                    @if($service->typeByOperation($operation)->canCancel($operation))
                        {!! Form::open(['route' => ['cabinet.operations.cancel', $operation], 'method' => 'post']) !!}
                            {!! Form::button('<i class="fas fa-times"></i>',
                                ['type' => 'submit', 'class' => 'btn btn-danger btn-sm', 'onclick' => "return confirm('Are you sure?')"]) !!}
                        {!! Form::close() !!}
                    @endif
                </td>
            </tr>
        @endforeach
        </tbody>
    </table>
    {{ $operations->appends(request()->query())->links() }}
@endsection

resources/views/cabinet/operations/refill.blade.php
@extends('layouts.cabinet')

@section('body')
    @include('flash::message')

    <div class="clearfix"></div>
    <h1>@lang('cabinet/refill.title')</h1>
    @if(request('status', $status))
        @if(request('status', $status) === 'success')
            <div class="alert alert-success" role="alert">
                @lang('cabinet/refill.alerts.success')
            </div>
        @elseif(request('status', $status) === 'error')
            <div class="alert alert-danger" role="alert">
                @lang('cabinet/refill.alerts.error')
            </div>
        @endif
    @endif
    <form action="{{ route('cabinet.refill.store') }}" method="POST">
        @csrf
        <div class="form-group">
            <label for="amount_field">@lang('cabinet/refill.amount')</label>
            <input type="number" class="form-control" name="amount" id="amount_field" step="0.00001">
        </div>
        <div class="form-group">
            <label for="currency_id_field">@lang('cabinet/refill.currency')</label>
            <select name="currency_id" id="currency_id_field" class="form-control">
                @foreach($currencies as $currency)
                    <option value="{{ $currency->id }}" @if($currency->id === (int) old('currency_id'))selected @endif>{{ $currency->code_iso }}</option>
                @endforeach
            </select>
        </div>
        <div class="form-group">
            <label for="payment_system_field">@lang('cabinet/refill.payment_system')</label>
            <select name="payment_system" id="payment_system_field" class="form-control">
                @foreach($payment_systems as $payment_system)
                    <option value="{{ $payment_system->id }}" @if($payment_system->id === (int) old('payment_system'))selected @endif>{{ $payment_system->name }}</option>
                @endforeach
            </select>
        </div>
        <button class="btn btn-primary" type="submit">@lang('cabinet/refill.submit')</button>
    </form>
@endsection

resources/views/cabinet/operations/transfer.blade.php
@extends('layouts.cabinet')

@section('body')
    @include('flash::message')

    <div class="clearfix"></div>
    <h1>@lang('cabinet/transfer.title')</h1>
    <form action="{{ route('cabinet.transfer.store') }}" method="POST">
        @csrf
        <div class="form-group">
            <label for="login_field">@lang('cabinet/transfer.receiver_login')</label>
            <input type="text" class="form-control" name="login" id="login_field">
        </div>
        <div class="form-group">
            <label for="amount_field">@lang('cabinet/transfer.amount')</label>
            <input type="number" class="form-control" name="amount" id="amount_field" step="0.00001">
        </div>
        <div class="form-group">
            <label for="currency_id_field">@lang('cabinet/transfer.currency')</label>
            <select name="currency_id" id="currency_id_field" class="form-control">
                @foreach($currencies as $currency)
                    <option value="{{ $currency->id }}" @if($currency->id === (int) old('currency_id'))selected @endif>{{ $currency->code_iso }}</option>
                @endforeach
            </select>
        </div>
        @if(setting('balances_type') === 'divided')
            <div class="form-group">
                <label for="wallet_id_field">@lang('cabinet/transfer.wallet')</label>
                <select name="wallet_id" id="wallet_id_field" class="form-control">
                    @foreach($wallets as $wallet)
                        <option value="{{ $wallet->id }}" @if($wallet->id === (int) old('wallet_id'))selected @endif>{{ $wallet->payment_system->name }} {{ $wallet->balance }}</option>
                    @endforeach
                </select>
            </div>
        @endif
        <button class="btn btn-primary" type="submit">@lang('cabinet/transfer.submit')</button>
    </form>
@endsection

resources/views/cabinet/operations/withdraw.blade.php
@extends('layouts.cabinet')

@section('body')
    @include('flash::message')

    <div class="clearfix"></div>
    <h1>@lang('cabinet/withdraw.title')</h1>
    @if(request('status', $status))
        @if(request('status', $status) === 'success')
            <div class="alert alert-success" role="alert">
                @lang('cabinet/withdraw.alerts.success')
            </div>
        @elseif(request('status', $status) === 'error')
            <div class="alert alert-danger" role="alert">
                @lang('cabinet/withdraw.alerts.error')
            </div>
        @elseif(request('status', $status) === 'in_progress')
            <div class="alert alert-danger" role="alert">
                @lang('cabinet/withdraw.alerts.in_progress')
            </div>
        @endif
    @endif
    @can('unlocked')
        <form action="{{ route('cabinet.withdraw.store') }}" method="POST">
            @csrf
            <div class="form-group">
                <label for="amount_field">@lang('cabinet/withdraw.amount')</label>
                <input type="number" class="form-control" name="amount" id="amount_field" step="0.00001">
            </div>
            <div class="form-group">
                <label for="currency_id_field">@lang('cabinet/withdraw.currency')</label>
                <select name="currency_id" id="currency_id_field" class="form-control">
                    @foreach($currencies as $currency)
                        <option value="{{ $currency->id }}" @if($currency->id === (int) old('currency_id'))selected @endif>{{ $currency->code_iso }}</option>
                    @endforeach
                </select>
            </div>
            <div class="form-group">
                <label for="payment_system_field">@lang('cabinet/withdraw.payment_system')</label>
                <select name="payment_system" id="payment_system_field" class="form-control">
                    @foreach($payment_systems as $payment_system)
                        @php
                            /** @var \Modules\Core\Models\PaymentSystem $payment_system **/
                        @endphp
                        <option value="{{ $payment_system->id }}" @if($payment_system->id === (int) old('payment_system'))selected @endif
                            @if($payment_system->need_wallet && (!isset($wallets[$payment_system->id]) || !$wallets[$payment_system->id]->wallet))
                                disabled
                            @elseif(setting('balances_type') === 'divided' && (!isset($wallets[$payment_system->id]) || $wallets[$payment_system->id]->balance == 0))
                                disabled
                            @endif
                        >
                            {{ $payment_system->name }} @if(isset($wallets[$payment_system->id]) && setting('balances_type') === 'divided') {{ $wallets[$payment_system->id]->balance }} @endif</option>
                    @endforeach
                </select>
            </div>
            <button class="btn btn-primary" type="submit">@lang('cabinet/withdraw.submit')</button>
        </form>
    @else
        <div class="alert alert-danger" role="alert">
            @lang('ui.account_locked')
        </div>
        <button class="btn btn-primary" type="button" @click="unlock_modal = true">@lang('ui.unlock')</button>
    @endcan
@endsection